# 写作天下

## 简介

为作家们创造世界而诞生，执云作笔，诉尽平生意。

集简约UI与人性化AI于一体的码字工具，无论是小说、作文、日记、报告，都能轻松驾驭。

**QQ交流群：705849222**



---



## 功能

1. **自由的目录**：自动序号，拖拽排序，随意调整
2. **自定义界面**：全局自定义主题、风格，可使用CSS代码
3. **智能标点系统**：独有的强大又省力的标点 AI
   1. **智能引号**：增删移动全在一键之间
   2. **智能空格**：缩进、标点、移动光标融为一体
   3. **智能回车**：双引号内回车、自动添加句末标点、自动缩进
   4. **自动标点**：语气词后面自动加上标点符号
4. **名片库系统**：为文中所有人物、事物创建名片
   1. **名字高亮**，直观高效
   2. **鼠标悬浮**：随时查看简介与详情
   3. **章节出现**的名片一览
   4. **快速搜索**所有名片
5. **云端同步**：稳定、全自动，多一重保险。支持同步到手机。
6. **云排行榜**：所有用户在线拼字
7. **多线大纲**：主线/辅线/事件线/感情线…等
8. **语言高亮**：人物语言描写高亮显示
9. **章内标注**：章节内埋坑备注，可作细纲，导出、发布时自动去除
10. **高潮模式**：自动识别当前情节激烈程度，微调小说AI
11. **导入导出**：花样自定义格式，便捷的多文件拖拽导入导出
12. **字数统计**：精确到几个空格的数量
13. **同音词覆盖**：选词错误，无需删除，直接覆盖旧内容
14. **敏感词检测**：高亮所有敏感词，可自定义词库
15. **多功能替换**：简繁转换、敏感词替换、敏感词转拼音等
16. **自动分段**：换行/排版时，过长段落自动在合适的地方分段
17. **词语提示**：输入时自动提示同义词、相关词、常用句
18. **随机取名**：最轻便的取名方式，要啥来啥
19. **一键排版**：全自动，包括英文空格、首字母大写、长段落自动分段等
20. **资源搜索**：全局浏览所有资源文件，快速搜索
21. **小黑屋**：多种模式强制码字
22. **剪贴板**：保存所有复制的历史记录
23. **回收板**：记录所有删除/剪切的长文本，避免丢失
24. **小说类型**：只需小说名便可判断小说是什么类型
25. **输入动画**：文字平滑输入、光标平滑移动
26. **微动背景**：在不影响注意力的情况下，微调背景颜色
27. **情绪滤镜**：智能分析人物情绪，添加相应背景滤镜
28. **场景图片**：识别故事环境，设置对应的背景图片
29. **错词替换**：错别字高亮和一键替换
30. **汉语词典**：内置完整词典，显示所有释义，附加成语接龙功能
31. **主题管理**：强大的主题功能，切换色彩、词库、CSS样式、动态背景
32. **回收站**：多种类型的回收站，强力后悔药
33. **章节快照**：自动备份章节编辑历史，确保内容万无一失




## 以用户为本的小细节

《写作天下》是一款真正以用户为本的应用，功能强大的同时上手容易，几乎无难度。

以下这些或许难以察觉的小设计更是打造了极度良好的用户体验：

1. **创建新书名字**：分析用户之前的各种操作，获取可能取名的名字
2. **自动章节序号**：中间临时插入章节、随意排序，而无需修改后面全部序号
3. **目录整十对齐**：使目录中文序号的排列整齐，避免长度差导致的错落
4. **还原光标位置**：调整窗口大小、修改字体大小后，光标仍在窗口同比例位置
5. **排版输入位置**：输入聚焦在原来的位置不变，甚至连滚动进度也一样
6. **恢复编辑位置**：重启程序，滚动位置、光标位置、甚至连选中的内容都恢复原态
7. **独特动态界面**：可视控件全部重写，哪怕是一个小小的按钮都如此与众不同
8. **智能引号细节**：第二句人物描写的双引号前缀为逗号，而非冒号
9. **动态波浪动画**：没有打开作品时为不显得空洞，播放动画
10. **趣味交互按钮**：各种线条律动、缩放特效，活灵活现
11. **小说类型判断**：输入书名，自动分析作品类型，无需手选~
12. **多段落后引号**：智能回车仅最后一段有后引号，语法准确
13. **小黑屋可逃离**：当检测到用户无法完成小黑屋时，提供逃离方式（临时有效）
14. **点不到的按钮**：会跑的“强制退出”按钮！点到算你手快
15. **长段落自动分段**：不拆分语言描写，并且尽量每段字数接近
16. **小黑屋字数预测**：根据使用习惯，猜测几个可能的数字
17. **自动打字机模式**：在末尾码字时自动开启打字机模式
18. 针对高端用户，**自定义所有**词库、界面CSS代码、菜单格式、配置INI文件等
19. 窗口一体化，可隐藏不需要的控件，通过搜索面板直接**输入指令并执行**
20. 其他彩蛋，比如夜间码字温馨鼓励语、成语接龙



## 快捷键

- Ctrl + ←/→    按词语移动
- Alt + ←/→    按句子移动
- Ctrl + Alt + ←/→    按段落移动
- Ctrl + Shift + ↑/↓    扩大/缩小选择
- Ctrl/Alt + ↑/↓    屏幕滚动，alt更快
- 空格键    智能空格
- 引号键    智能引号
- 回车键    智能回车
- Tab键    句子补全+光标跳过
- Ctrl+T    一键排版
- Ctrl+D    句内同音词替换（不必连续）
- Ctrl+F    章内文字搜索
- Ctrl+P    全局综合搜索
- Ctrl+B    剪贴板
- Ctrl+J    文字跳转

> 支持自定义快捷键

